package com.faraphel.tasks_valider.database.dao.base

import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Update


interface BaseDao<Entity> {
    @Insert
    fun insert(vararg entities: Entity): List<Long>

    @Update
    fun update(vararg entities: Entity): Int

    @Delete
    fun delete(vararg entities: Entity): Int

    fun getAll(): List<Entity>
}
